/*
 * Error.java

    evMiniPool	-	multiplayer pool game engine for mobile phones
    Copyright (C) 2005, Ernestas Vaiciukevicius (ernisv@gmail.com)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

 *
 * Created on Pirmadienis, 2003, Vasario 24, 10.50
 */

package com.ev.minipool;

import javax.microedition.midlet.*;
import javax.microedition.lcdui.*;

/**
 * @author Ernestas Vaiciukevicius 
 *
 */
public class Error extends Object {

    public static void halt(Exception ex, MIDlet midlet) {
		  log(ex, midlet);	
        System.exit(1);
    }

    public static void log(Exception ex, MIDlet midlet) {
    	Alert msg = new Alert("Error", ex.toString(), null, AlertType.ERROR);
        msg.setTimeout(Alert.FOREVER);
    	Display.getDisplay(midlet).setCurrent(msg, Display.getDisplay(midlet).getCurrent());
        ex.printStackTrace();
    }

}
