/*
 * SmsListenConnections.java

    evMiniPool	-	multiplayer pool game engine for mobile phones
    Copyright (C) 2005, Ernestas Vaiciukevicius (ernisv@gmail.com)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

 *
 * Created on Pirmadienis, 2003, Kovo 31, 17.17
 */

package com.ev.minipool.conn;

import javax.microedition.io.*;

/**
 * @author Ernestas Vaiciukevicius 
 *
 */
public class SmsListenConnections {
    static protected java.util.Hashtable connections = new java.util.Hashtable();
    
    static public DatagramConnection forPort(int port) throws java.io.IOException {
        DatagramConnection ret = (DatagramConnection)(connections.get(new Integer(port)));
        if (ret == null) {
            ret = (DatagramConnection)Connector.open("sms::"+String.valueOf(port), Connector.READ_WRITE, true);
            connections.put(new Integer(port), ret);
        }
        return ret;
    }
    
}
